#include <Polygon.h>

Polygon::Polygon(){
 _nSides = 0;
}

int Polygon::GetNsides(){
 return _nSides;
}
void Polygon::SetNsides(int noS){
  _nSides = noS;
}
float Polygon::GetArea(){
 return _area;
}
void Polygon::SetArea(float cm2){
  _area = cm2;
}
void Polygon::calculateArea(){
  cout << "Cannot calculate area of unknown polygon!" << endl;
}


Trapezium::Trapezium(){
 _majorAxis = 0.;
 _minorAxis = 0.;
 _height    = 0.;
 SetNsides(4);
}
Trapezium::Trapezium(float minor, float major, float height){
 _majorAxis = major;
 _minorAxis = minor;
 _height    = height;
}

void Trapezium::calculateArea(){
  float area=(_minorAxis+_majorAxis)*_height/2.;
  this->SetArea(area);
  cout << "Trapezium area is " << this->GetArea() << endl;
}
float Trapezium::GetMajorAxis(){
 return _majorAxis;
}
void Trapezium::SetMajorAxis(float cm){
  _majorAxis = cm;
}
float Trapezium::GetMinorAxis(){
 return _minorAxis;
}
void Trapezium::SetMinorAxis(float cm){
  _minorAxis = cm;
}
float Trapezium::GetHeight(){
 return _height;
}
void Trapezium::SetHeight(float cm){
  _height = cm;
}

