#ifndef POLYGON_H
#define POLYGON_H
#include <iostream>
using namespace std;

class Polygon{

 public:
  Polygon();
  void SetNsides(int noS);
  int GetNsides();
  float GetArea();
  void SetArea(float cm2);
  virtual void calculateArea();
  
 private:
  int _nSides;
  float _area;

};

class Trapezium : public Polygon{

 public:
  Trapezium();
  Trapezium(float minor, float major, float height);
  float GetMajorAxis();
  float GetMinorAxis();
  float GetHeight();
  void SetMajorAxis(float cm);
  void SetMinorAxis(float cm);
  void SetHeight(float cm);
  void calculateArea();
  
 private:	
  float _majorAxis;
  float _minorAxis;
  float _height;
  
};

#endif // POLYGON_H

