#ifndef TRAPEZIUM_H
#define TRAPEZIUM_H
#include <iostream>
using namespace std;

class Trapezium{

 public:
  Trapezium();
  Trapezium(float minor, float major, float height);
  float GetMajorAxis();
  float GetMinorAxis();
  float GetHeight();
  void SetMajorAxis(float cm);
  void SetMajorAxis(float cm, bool checkRange);
  void SetMinorAxis(float cm);
  void SetHeight(float cm);

 private:	
  float _majorAxis;
  float _minorAxis;
  float _height;

};

#endif // TRAPEZIUM_H

