#include <TrapeziumO.h>
Trapezium::Trapezium(){
 _majorAxis = 0.;
 _minorAxis = 0.;
 _height    = 0.;
}
Trapezium::Trapezium(float minor, float major, float height){
 _majorAxis = major;
 _minorAxis = minor;
 _height    = height;
}

float Trapezium::GetMajorAxis(){
 return _majorAxis;
}
void Trapezium::SetMajorAxis(float cm){
  _majorAxis = cm;
}

void Trapezium::SetMajorAxis(float cm, bool checkRange){
  if ( checkRange ){
    if ( cm < 1 || cm > 10 ){
      cout << "Warning, out of range!" << endl;
      return;
    }
  }
  this->SetMajorAxis(cm);
}
float Trapezium::GetMinorAxis(){
 return _minorAxis;
}
void Trapezium::SetMinorAxis(float cm){
  _minorAxis = cm;
}
float Trapezium::GetHeight(){
 return _height;
}
void Trapezium::SetHeight(float cm){
  _height = cm;
}

